Bug 225702 - Merge Review: docbook-slides
Merge Review: docbook-slides
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:29 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 00:18:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:29:05 EST
Fedora Merge Review: docbook-slides

http://cvs.fedora.redhat.com/viewcvs/devel/docbook-slides/
Initial Owner: twaugh@redhat.com
Comment 1 Ondrej Vasik 2007-07-27 04:12:50 EDT
Package Change Request
======================
Package Name: docbook-slides
Updated Fedora Owners: ovasik@redhat.com
Comment 2 Parag AN(पराग) 2007-11-05 11:26:53 EST
1) rpmlint gave me
docbook-slides.noarch: W: dangerous-command-in-%post chmod
docbook-slides.noarch: W: dangerous-command-in-%postun rm
I guess this is needed for this package.

2)change buildroot to standard acceptable one.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

3)Preserve timestamps
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab

4) defattr should be %defattr (-,root,root,-)
   I think this should be used.

5) Use macros instead of hard-coded directory names
http://fedoraproject.org/wiki/Packaging/Guidelines#head-255d52ff18f82fa184a32946b82ed81e4fd8885a
Comment 3 Parag AN(पराग) 2007-11-14 01:39:25 EST
ping?
Comment 4 Ondrej Vasik 2007-11-14 04:23:30 EST
Sorry, I had some issues with other packages and I completely forgot to comment
that merge review. I did the changes you mentioned, built as
docbook-slides-3.4.0-3.fc9
Comment 5 Parag AN(पराग) 2007-11-15 01:06:26 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM But NOT for RPM.
docbook-slides.noarch: W: dangerous-command-in-%post chmod
docbook-slides.noarch: W: dangerous-command-in-%postun rm
=> these messages can be ignored for this package.
+ source files match upstream.
0fd5d334918d770946017dbc13d68471  docbook-slides-3.4.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package docbook-slides-3.4.0-3.fc9 ->
  Provides: config(docbook-slides) = 3.4.0-3.fc9
  Requires: config(docbook-slides) = 3.4.0-3.fc9 docbook-dtds docbook-simple
docbook-xsl sgml-common
+ Not a GUI app.
APPROVED.


Note You need to log in before you can comment on or make changes to this bug.